<template>
  <b-container>
    <h1 class="mt-5">Compte Client</h1>
    <menu-compte-client v-if="clientStore.isAuthenticated" :clientStore="clientStore"></menu-compte-client>
    <connexion v-if="!clientStore.isAuthenticated && action !== 'register'"></connexion>
    <inscription v-if="!clientStore.isAuthenticated && action == 'register'"></inscription>
    <infos-client v-if="clientStore.isAuthenticated" :action="action" :clientStore="clientStore"></infos-client>
    <marketing v-if="clientStore.isAuthenticated" :action="action" :clientStore="clientStore"></marketing>
    <historique v-if="clientStore.isAuthenticated" :action="action" :clientStore="clientStore"></historique>
  </b-container>
</template>

<script>
import menuCompteClient from "./menu-compte-client";
import marketing from "./marketing";
import infosClient from "./infos-client";
import connexion from "./connexion";
import historique from "./historique";
import inscription from "./inscription";
import { mapState } from "vuex";
export default {
  components: {
    "menu-compte-client": menuCompteClient,
    "infos-client": infosClient,
    connexion,
    inscription,
    marketing,
    historique
  },
  computed: {
    // récupération infos client
    ...mapState({
      clientStore: state => state.clientStore
    })
  },
  beforeMount: function() {
    this.action = this.$router.currentRoute.query.action;
  },
  data() {
    return {
      isLoged: false,
      action: null
    };
  }
};
</script>
